/******************************************************************************

This is a part of the xHotspot Source code.

Copyright (C) 2007 Sascha Liebsch

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

******************************************************************************/

#if !defined (REALGROUPHOTSPOT_H)
#define REALGROUPHOTSPOT_H

#include <string>
#include <list>

#include "HotspotGroup.h"


class RealGroupHotspot : public HotspotGroup
{
public:

	RealGroupHotspot(int const &id, HWND hwnd);

	~RealGroupHotspot();

public:

	void Move(Point const &pos);

	void MoveBy(Point const &dpos);
	
	void Resize(Point const &dim);

	void ResizeBy(Point const &ddim);
	
	void Reposition(Point const &pos, Point const &dim);

	void RepositionBy(Point const &dpos, Point const &ddim);

private:

	bool const IsInside(Point const &mouse_pos);

};

#endif